<bugID>1000513<Summary>Combined navigation items in the context menu</Summary><Description>Created attachment 8411345
Improving Context Menus in Firefox Desktop - Concept.pdf

See attached PDF document describing potential feature behaviors. The first part of this project is just to implement the navigation elements, with customization coming in a later phase.</Description></bugID>